--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/ftw.h.~1~	2001-04-20 12:42:14.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/ftw.h	2007-07-21 20:51:25.000000000 -0400
@@ -15,11 +15,11 @@
  */
 #ifdef _APP32_64BIT_OFF_T
 #   ifdef __cplusplus
-#      define _LF_EXTERN_OR_STATIC_OR_INLINE      inline
-#      define _LF_STATIC_OR_INLINE                inline
+#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#      define _LF_STATIC_OR_INLINE                static inline
 #   else
-#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static
-#      define _LF_STATIC_OR_INLINE                static
+#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#      define _LF_STATIC_OR_INLINE                static inline
 #   endif /* __cplusplus */
 #else
 #   define _LF_EXTERN_OR_STATIC_OR_INLINE        extern
@@ -87,7 +87,7 @@
 		const struct stat *, int), int c)
 			{return __ftw64(a,b,c);}
 #      else /* _PROTOTYPES */ 
-           static int ftw(a,b,c) char *a; int (*b)(); int c;
+           static inline int ftw(a,b,c) char *a; int (*b)(); int c;
 		{return __ftw64(a,b,c);}
 #      endif /* _PROTOTYPES */ 
 #  endif /* _APP32_64BIT_OFF_T */
@@ -129,7 +129,7 @@
 			const struct stat *, int, struct FTW*), int c, int d)
 				{return __nftw64(a,b,c,d);}
 #        else /* _PROTOTYPES */
-             static int nftw(a,b,c,d) char *a; int (*b)();
+             static inline int nftw(a,b,c,d) char *a; int (*b)();
 			{return __nftw64(a,b,c,d);}
 #        endif /* _PROTOTYPES */
 
@@ -143,7 +143,7 @@
 			const struct stat *, int, struct FTW), int c, int d)
 				{return __nftw64(a,b,c,d);}
 #        else /* _PROTOTYPES */
-             static int nftw(a,b,c,d) char *a; int (*b)();
+             static inline int nftw(a,b,c,d) char *a; int (*b)();
 			{return __nftw64(a,b,c,d);}
 #        endif /* _PROTOTYPES */
 
@@ -178,7 +178,7 @@
 		const struct stat *, int, struct FTW), int c, int d)
 			{return __nftw2_64(a,b,c,d);}
 #     else /* _PROTOTYPES */
-	static int nftw2(a,b,c,d) char *a; int (*b)();
+	static inline int nftw2(a,b,c,d) char *a; int (*b)();
 		{return __nftw2_64(a,b,c,d);}
 #     endif /* _PROTOTYPES */
 #  endif /* _APP32_64BIT_OFF_T */
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/stdio.h.~1~	2007-07-14 21:59:20.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/stdio.h	2007-07-21 20:53:11.000000000 -0400
@@ -51,11 +51,11 @@
  */
 #ifdef _APP32_64BIT_OFF_T
 #   ifdef __cplusplus
-#      define _LF_EXTERN_OR_STATIC_OR_INLINE      inline
-#      define _LF_STATIC_OR_INLINE                inline
+#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#      define _LF_STATIC_OR_INLINE                static inline
 #   else
-#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static
-#      define _LF_STATIC_OR_INLINE                static
+#      define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#      define _LF_STATIC_OR_INLINE                static inline
 #   endif /* __cplusplus */
 #else
 #   define _LF_EXTERN_OR_STATIC_OR_INLINE        extern
@@ -253,11 +253,11 @@
      extern int fgetpos();
      extern int fsetpos();
 #   else
-     static FILE *tmpfile();
-     static FILE *fopen();
-     static FILE *freopen();
-     static int fgetpos();
-     static int fsetpos();
+     static inline FILE *tmpfile();
+     static inline FILE *fopen();
+     static inline FILE *freopen();
+     static inline int fgetpos();
+     static inline int fsetpos();
 #   endif /** !_APP32_64BIT_OFF_T **/
      extern void setbuf();
      extern int setvbuf();
@@ -600,8 +600,8 @@
           _LF_STATIC_OR_INLINE off_t ftello(__FILE *);
           _LF_STATIC_OR_INLINE int fseeko(__FILE *, off_t, int);
 #      else /** No Prototypes **/
-          static off_t ftello();
-          static int fseeko();
+          static inline off_t ftello();
+          static inline int fseeko();
 #      endif /** Prototypes **/
 #   endif /* _LARGEFILE_SOURCE */
 
@@ -622,8 +622,8 @@
            _LF_STATIC_OR_INLINE int fseeko(__FILE *__a, off_t __b, int __c)
 		{return __fseeko64(__a,__b,__c);}
 #      else /* _PROTOTYPES */
-           static off_t ftello(__a) FILE *__a ; {return __ftello64(__a);}
-           static int fseeko(__a,__b,__c) FILE *__a; off_t __b; int __c;
+           static inline off_t ftello(__a) FILE *__a ; {return __ftello64(__a);}
+           static inline int fseeko(__a,__b,__c) FILE *__a; off_t __b; int __c;
 		{return __fseeko64(__a,__b,__c);}
 #      endif /* _PROTOTYPES */
 #   endif /* _LARGEFILE_SOURCE */
@@ -641,15 +641,15 @@
         _LF_STATIC_OR_INLINE FILE *tmpfile(void)  {return __tmpfile64();}
 _NAMESPACE_STD_END
 #   else /* _PROTOTYPES */
-        static int fgetpos(__a,__b) FILE *__a; fpos_t *__b;
+        static inline int fgetpos(__a,__b) FILE *__a; fpos_t *__b;
 		{return __fgetpos64(__a,__b);}
-        static int fsetpos(__a,__b) FILE *__a; fpos_t *__b;
+        static inline int fsetpos(__a,__b) FILE *__a; fpos_t *__b;
 		{return __fsetpos64(__a,__b);}
-        static FILE *fopen(__a,__b) char *__a; char *__b;
+        static inline FILE *fopen(__a,__b) char *__a; char *__b;
 		{return __fopen64(__a,__b);}
-        static FILE *freopen(__a,__b,__c) char *__a; char *__b; FILE *__c;
+        static inline FILE *freopen(__a,__b,__c) char *__a; char *__b; FILE *__c;
 		{return __freopen64(__a,__b,__c);}
-        static FILE *tmpfile()  {return __tmpfile64();}
+        static inline FILE *tmpfile()  {return __tmpfile64();}
 #   endif /* _PROTOTYPES */
 
 #else  /** ! _APP32_64BIT_OFF_T  **/
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/fcntl.h.~1~	1999-06-22 11:12:03.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/fcntl.h	2007-07-21 20:48:41.000000000 -0400
@@ -232,14 +232,14 @@
  */
 _LF_STATIC_OR_INLINE int open(const char *a, int b, mode_t c=0)
 #else  /* __cplusplus */
-static int open(a,b,c) __const char *a; int b; mode_t c;
+static inline int open(a,b,c) __const char *a; int b; mode_t c;
 #endif /* __cplusplus */
 	{ return __open64(a,b,c); }
 
 # if defined(__STDC__) || defined(__cplusplus)
 _LF_STATIC_OR_INLINE int creat(const char *a, mode_t b) 
 #else /* __STDC__ */
-static int creat(a,b) char *a; mode_t b; 
+static inline int creat(a,b) char *a; mode_t b; 
 #endif /* __STDC__ */
 	{ return __creat64(a,b); }
 
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/mman.h.~1~	1999-06-22 11:12:07.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/mman.h	2007-07-21 20:48:49.000000000 -0400
@@ -199,7 +199,7 @@
 #ifdef _PROTOTYPES
     _LF_STATIC_OR_INLINE void *mmap(void *a, size_t b, int c, int d, int e, off_t f) 
 #else /* _PROTOTYPES */
-    static void *mmap(a,b,c,d,e,f) void *a; size_t b; int c, d, e; off_t f; 
+    static inline void *mmap(a,b,c,d,e,f) void *a; size_t b; int c, d, e; off_t f; 
 #endif /* _PROTOTYPES */
                                { return __mmap64(a,b,c,d,e,f); }
 #  endif /* _APP32_64BIT_OFF_T */
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/pthread.h.~1~	2007-07-14 21:59:27.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/pthread.h	2007-07-21 20:48:17.000000000 -0400
@@ -458,9 +458,9 @@
 					   void *arg);
 
 #ifdef __cplusplus
-	inline int pthread_create(
+	static inline int pthread_create(
 #else /* !__cplusplus */
-	static int pthread_create( 
+	static inline int pthread_create( 
 #endif /* !__cplusplus */
 				  pthread_t *tid, 
 				  const pthread_attr_t *attr,
@@ -488,7 +488,7 @@
 	extern int pthread_create();
 #else /* ! __lint */
 	extern int __pthread_create_system();
-	static int pthread_create(tid, attr, start_routine, arg)
+	static inline int pthread_create(tid, attr, start_routine, arg)
 			pthread_t *tid;
 			pthread_attr_t *attr;
 			void *(*start_routine)();
@@ -520,7 +520,7 @@
 #ifdef __cplusplus
 	inline int pthread_attr_init(
 #else /* !__cplusplus */
-	static int pthread_attr_init(
+	static inline int pthread_attr_init(
 #endif /* !__cplusplus */
 				pthread_attr_t *attr)
 		   { return(__pthread_attr_init_system(attr)); }
@@ -555,7 +555,7 @@
 #else /* ! __lint */
         extern int __pthread_attr_init_system();
 
-        static int pthread_attr_init(attr)
+        static inline int pthread_attr_init(attr)
 		   pthread_attr_t *attr;
                    { return(__pthread_attr_init_system(attr)); }
 #endif /* ! __lint */
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/resource.h.~1~	1999-06-22 11:12:12.311297528 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/resource.h	2007-07-21 20:49:12.000000000 -0400
@@ -154,13 +154,13 @@
    _LF_STATIC_OR_INLINE int setrlimit(int a, const struct rlimit *b)
                 { return __setrlimit64(a,b); }
 # else /* _PROTOTYPES */
-   static int getrlimit(a,b) int a; struct rlimit *b; 
+   static inline int getrlimit(a,b) int a; struct rlimit *b; 
 		{ return __getrlimit64(a,b); }
 #  ifdef __STDC_EXT__
-    static int setrlimit(a,b) int a; const struct rlimit *b;  
+    static inline int setrlimit(a,b) int a; const struct rlimit *b;  
 		{ return __setrlimit64(a,b); }
 #  else
-    static int setrlimit(a,b) int a; struct rlimit *b;  
+    static inline int setrlimit(a,b) int a; struct rlimit *b;  
 		{ return __setrlimit64(a,b); }
 #  endif /* __STDC_EXT__ */
 # endif /* _PROTOTYPES */
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/stat.h.~1~	1999-06-22 11:12:13.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/stat.h	2007-07-21 20:49:32.000000000 -0400
@@ -113,10 +113,10 @@
 				{return __lstat64(a,b);}
    _LF_STATIC_OR_INLINE int fstat(int a, struct stat *b) { return __fstat64(a,b); }
 #else /* _PROTOTYPES */
-   static int stat(a,b) __const char *a; struct stat *b; {return __stat64(a,b);}
-   static int lstat(a,b) __const char *a; struct stat *b; 
+   static inline int stat(a,b) __const char *a; struct stat *b; {return __stat64(a,b);}
+   static inline int lstat(a,b) __const char *a; struct stat *b; 
 				{return __lstat64(a,b);}
-   static int fstat(a,b) int a; struct stat *b; { return __fstat64(a,b); }
+   static inline int fstat(a,b) int a; struct stat *b; { return __fstat64(a,b); }
 #endif  /* _PROTOTYPES */
 #endif  /* _APP32_64BIT_OFF_T */
 
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/statvfs.h.~1~	1999-06-22 11:12:14.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/statvfs.h	2007-07-21 20:49:57.000000000 -0400
@@ -109,9 +109,9 @@
 _LF_STATIC_OR_INLINE int fstatvfs(int a, struct statvfs *b)
 		     { return __fstatvfs64(a,b); }
 #else /* _PROTOTYPES */
-static int statvfs(a,b)  __const char *a; struct statvfs *b; 
+static inline int statvfs(a,b)  __const char *a; struct statvfs *b; 
 		     { return __statvfs64(a,b); }
-static int fstatvfs(a,b) int a; struct statvfs *b; 
+static inline int fstatvfs(a,b) int a; struct statvfs *b; 
 		     { return __fstatvfs64(a,b); }
 #endif /* _PROTOTYPES */
 #endif /* _APP32_64BIT_OFF_T */
@@ -152,9 +152,9 @@
 _LF_STATIC_OR_INLINE int fstatvfsdev(int a, struct statvfs *b)
 		     { return __fstatvfsdev64(a,b); }
 #else /* _PROTOTYPES */
-static int statvfsdev(a,b) __const char *a; struct statvfs *b;
+static inline int statvfsdev(a,b) __const char *a; struct statvfs *b;
 		     { return __statvfsdev64(a,b); }
-static int fstatvfsdev(a,b) int a; struct statvfs *b;
+static inline int fstatvfsdev(a,b) int a; struct statvfs *b;
 		     { return __fstatvfsdev64(a,b); }
 #endif /* _PROTOTYPES */
 #endif /* _APP32_64BIT_OFF_T */
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/stdsyms.h.~1~	1999-06-22 11:12:14.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/stdsyms.h	2007-07-21 20:45:09.000000000 -0400
@@ -314,11 +314,11 @@
 #ifdef _APP32_64BIT_OFF_T
 #  define _LF_EXTERN                            static
 #  ifdef __cplusplus
-#    define _LF_EXTERN_OR_STATIC_OR_INLINE      inline
-#    define _LF_STATIC_OR_INLINE                inline
+#    define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#    define _LF_STATIC_OR_INLINE                static inline
 #  else
-#    define _LF_EXTERN_OR_STATIC_OR_INLINE      static
-#    define _LF_STATIC_OR_INLINE                static
+#    define _LF_EXTERN_OR_STATIC_OR_INLINE      static inline
+#    define _LF_STATIC_OR_INLINE                static inline
 #  endif /* __cplusplus */
 #else
 #  define _LF_EXTERN_OR_STATIC_OR_INLINE        extern
--- gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/unistd.h.~1~	2005-05-08 07:34:38.000000000 -0400
+++ gcc-4.0.4/lib/gcc/hppa1.0-hp-hpux11.00/4.0.4/include/sys/unistd.h	2007-07-21 20:50:20.262364921 -0400
@@ -387,12 +387,12 @@
     _LF_STATIC_OR_INLINE off_t lseek(int a, off_t b, int c)
 				{ return __lseek64(a,b,c); }
 #  else /* _PROTOTYPES */
-    static int truncate(a,b) __const char *a; off_t b;
+    static inline int truncate(a,b) __const char *a; off_t b;
 			{ return __truncate64(a,b); }
-    static int prealloc(a,b) int a; off_t b;      { return __prealloc64(a,b); }
-    static int lockf(a,b,c) int a, b; off_t c;    { return __lockf64(a,b,c); }
-    static int ftruncate(a,b) int a; off_t b;	  { return __ftruncate64(a,b); }
-    static off_t lseek(a,b,c) int a, c; off_t b;  { return __lseek64(a,b,c); }
+    static inline int prealloc(a,b) int a; off_t b;      { return __prealloc64(a,b); }
+    static inline int lockf(a,b,c) int a, b; off_t c;    { return __lockf64(a,b,c); }
+    static inline int ftruncate(a,b) int a; off_t b;	  { return __ftruncate64(a,b); }
+    static inline off_t lseek(a,b,c) int a, c; off_t b;  { return __lseek64(a,b,c); }
 #  endif /* _PROTOTYPES */
 # endif /* _APP32_64BIT_OFF_T */
 
